import {DocumentActionComponent} from 'sanity'
import {DocumentActionDescription} from 'sanity'
import {DocumentActionProps} from 'sanity'
import {DocumentBadgeComponent} from 'sanity'
import {Plugin as Plugin_2} from 'sanity'
import {PropsWithChildren} from 'react'

declare type Action = DocumentActionComponent

export declare function EditScheduleForm(props: PropsWithChildren<Props>): JSX.Element

declare interface Props {
  onChange?: (formData: ScheduleFormData) => void
  value?: ScheduleFormData | null
}

export declare function resolveDocumentActions(existingActions: Action[]): Action[]

export declare function resolveDocumentBadges(
  existingBadges: DocumentBadgeComponent[]
): DocumentBadgeComponent[]

export declare const ScheduleAction: (props: DocumentActionProps) => DocumentActionDescription

export declare const ScheduledBadge: DocumentBadgeComponent

export declare const scheduledPublishing: Plugin_2<void>

declare interface ScheduleFormData {
  date: string
}

export {}
